using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections;
using System.Drawing;

namespace MKDS_Course_Editor.KCL
{
    public class KclPointCollection
    {
        private List<KclPoint> Points = new List<KclPoint>();
        public void Add(KclPoint n)
        {
            Points.Add(n);
        }
        public void Add(float X, float Y, float Z, Color MarkerColor)
        {
            Points.Add(new KclPoint(X, Y, Z, MarkerColor));
        }
        public KclPoint this[int i]
        {
            get { return Points[i]; }
            set { Points[i] = value; }
        }
        public int Length
        {
            get { return Points.Count; }
        }
        public void Clear()
        {
            Points.Clear();
        }
        public void RemoveAt(int i)
        {
            Points.RemoveAt(i);
        }
        public void Insert(int i, KclPoint p)
        {
            Points.Insert(i, p);
        }
    }
}
